#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-CKd4y3XwxqOK0XYdyfDNbe
key:                  ghcide-1.4.1.0-CKd4y3XwxqOK0XYdyfDNbe
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  5fd88e1f209175ba9559c8a6fb6e3892
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.1.0
hs-libraries:         HSghcide-1.4.1.0-CKd4y3XwxqOK0XYdyfDNbe
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.1-AsXLEEOKsZHCb5YM7FOke8
    aeson-1.5.6.0-Hu48mgwBrEQKjw91bueUbm
    aeson-pretty-0.8.8-3OSj6xBY8p348Nh9dWt1mZ array-0.5.4.0
    async-2.2.3-9kX48PHnvdD9PjixjHg39U base-4.15.0.0
    base16-bytestring-1.0.1.0-2afh9UEVyJi56OJehbA0Qt binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-9ZPmIdJWooM4qfv2FLcxMw
    case-insensitive-1.2.1.0-4qVPCTeB5R0AXrKebzsUFI containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-9pDbF71G48YK8T0Zltgcr6 deepseq-1.4.5.0
    dependent-map-0.4.0.0-HtdRRx8EvzwFizHiH3hqys
    dependent-sum-0.7.1.0-Ctu7XADpPzfCwqiwTwRlRH directory-1.3.6.1
    dlist-1.0-4uSjbl72fpn9e2vwvg1nn4
    extra-1.7.10-IKTdTMveNU45Czd2kxoN4l filepath-1.4.2.1
    fingertree-0.1.4.2-Yizww7yuifKBKcWqpBgZA
    fuzzy-0.1.0.1-IWJYBV3iBma60MpC4yzsS1 ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.6-EI3j9PfrJAt1yGacY4XuWc
    ghc-exactprint-0.6.4-Cr4AhODnvmkBFhEd0vy8NF
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-GpGYW2gkrGIFGrKjUGw3b1
    hashable-1.3.3.0-23uoxU4x6MLFe9vf4ULvQk
    heapsize-0.3.0.1-2SosfBw2X63FbakfYzQncc
    hie-bios-0.7.6-BQTD2DkIZHhM4G84E8d0j
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.1.0-3cS9ywBAIqs6PODzTGYGbU
    hls-graph-1.4.0.0-2spmgPcumDmD2uB3wStwJp
    hls-plugin-api-1.2.0.0-7QRbwVQONXg6zhvAxAqqiI
    hslogger-1.3.1.0-K3r33VzXbdU9VjEvriQlJT
    implicit-hie-cradle-0.3.0.5-EdnJmZhjFa26R2GYtbJQ1E
    lens-5.0.1-rlrBG3eUIE9ghmFG9oii1 lsp-1.2.0.1-2XszUVFVAtTB8DpQntzKQB
    lsp-types-1.3.0.1-3R85XZvj2854CYZxBA5VGX mtl-2.2.2
    network-uri-2.6.4.1-DyGoFFEZQ5VEtmFaj1kRtK
    opentelemetry-0.7.0-F1QmXNItAgZLLTSwUNUrW8
    optparse-applicative-0.16.1.0-3CmOuGg8I8VCCKMAPBIRLU
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.1-7rmYoMkh0xy8XND4bMZ0rp
    prettyprinter-ansi-terminal-1.1.3-6zZ2Z7iYa2PAH6NIEdwXBR
    regex-tdfa-1.3.1.1-8KBKH3EsotI2v3BWqoG8PB
    retrie-1.0.0.0-C3SjPdytcfeJGxg8s4mS1N
    rope-utf16-splay-0.3.2.0-9P0ijZHjFqZADdA5huQwAA
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-Glme6bYKM7cHHvRWo0df7k
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-2tyopvuTEjL4zwzDPkQdw6 stm-2.5.0.0
    syb-0.7.2.1-JJZ7ElOKhr6qvmtx8wPbK text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.20-Ia3yNzLuf8cFkCozeLt55D
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-7LMDP5QPSZY4o6Vs5H6SAe
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.1-7avVqi4S14u4vwRbDqmIKr

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

